<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (17) on Thu Oct 27 22:53:58 EEST 2022 -->
<title>org.vtokarev.dao.mysql</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-10-27">
<meta name="description" content="declaration: package: org.vtokarev.dao.mysql">
<meta name="generator" content="javadoc/PackageWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="package-declaration-page">
<script type="text/javascript">var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li class="nav-bar-cell1-rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html#package">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Package:&nbsp;</li>
<li>Description&nbsp;|&nbsp;</li>
<li><a href="#related-package-summary">Related Packages</a>&nbsp;|&nbsp;</li>
<li><a href="#class-summary">Classes and Interfaces</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Package org.vtokarev.dao.mysql" class="title">Package org.vtokarev.dao.mysql</h1>
</div>
<hr>
<div class="package-signature">package <span class="element-name">org.vtokarev.dao.mysql</span></div>
<section class="summary">
<ul class="summary-list">
<li>
<div id="related-package-summary">
<div class="caption"><span>Related Packages</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Package</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><a href="../package-summary.html">org.vtokarev.dao</a></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
</div>
</li>
<li>
<div id="class-summary">
<div class="caption"><span>Classes</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Class</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color class-summary class-summary-tab2"><a href="BaseDaoImpl.html" title="class in org.vtokarev.dao.mysql">BaseDaoImpl</a></div>
<div class="col-last even-row-color class-summary class-summary-tab2">
<div class="block">The abstract <code>BaseDaoImpl</code> class is the base class for other specific DAO classes.</div>
</div>
<div class="col-first odd-row-color class-summary class-summary-tab2"><a href="BookingDaoImpl.html" title="class in org.vtokarev.dao.mysql">BookingDaoImpl</a></div>
<div class="col-last odd-row-color class-summary class-summary-tab2">
<div class="block"><code>BookingDaoImpl</code> class is an implementation of <a href="../BookingDao.html" title="interface in org.vtokarev.dao"><code>BookingDao</code></a> interface for MySQL persistence layer backend.</div>
</div>
<div class="col-first even-row-color class-summary class-summary-tab2"><a href="RoomClassDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomClassDaoImpl</a></div>
<div class="col-last even-row-color class-summary class-summary-tab2">
<div class="block"><code>RoomClassDaoImpl</code> class is an implementation of <a href="../RoomClassDao.html" title="interface in org.vtokarev.dao"><code>RoomClassDao</code></a> interface for MySQL persistence layer backend.</div>
</div>
<div class="col-first odd-row-color class-summary class-summary-tab2"><a href="RoomDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomDaoImpl</a></div>
<div class="col-last odd-row-color class-summary class-summary-tab2">
<div class="block"><code>RoomDaoImpl</code> class is an implementation of <a href="../RoomDao.html" title="interface in org.vtokarev.dao"><code>RoomDao</code></a> interface for MySQL persistence layer backend.</div>
</div>
<div class="col-first even-row-color class-summary class-summary-tab2"><a href="RoomRequestDaoImpl.html" title="class in org.vtokarev.dao.mysql">RoomRequestDaoImpl</a></div>
<div class="col-last even-row-color class-summary class-summary-tab2">
<div class="block"><code>RoomRequestDaoImpl</code> class is an implementation of <a href="../RoomRequestDao.html" title="interface in org.vtokarev.dao"><code>RoomRequestDao</code></a> interface for MySQL persistence layer backend.</div>
</div>
<div class="col-first odd-row-color class-summary class-summary-tab2"><a href="UserDaoImpl.html" title="class in org.vtokarev.dao.mysql">UserDaoImpl</a></div>
<div class="col-last odd-row-color class-summary class-summary-tab2">
<div class="block"><code>UserDaoImpl</code> class is an implementation of <a href="../UserDao.html" title="interface in org.vtokarev.dao"><code>UserDao</code></a> interface for MySQL persistence layer backend.</div>
</div>
</div>
</div>
</li>
</ul>
</section>
</main>
</div>
</div>
</body>
</html>
